# spec file for package nodejs-nodejs-graceful-fs

%global npmname graceful-fs
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-graceful-fs
Version:        3.0.6
Release:        0%{?dist}
Summary:        A drop-in replacement for fs, making various improvements.
Url:            https://github.com/isaacs/node-graceful-fs
Source0:        http://registry.npmjs.org/graceful-fs/-/graceful-fs-3.0.6.tgz
License:        BSD

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires: npm(mkdirp)
BuildRequires: npm(rimraf)
BuildRequires: npm(tap)
%endif

%description
A drop-in replacement for fs, making various improvements.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/graceful-fs

cp -pr package.json fs.js graceful-fs.js polyfills.js \
	%{buildroot}%{nodejs_sitelib}/graceful-fs

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/graceful-fs

%doc README.md
%license LICENSE

%changelog
